package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 接口驱动类信息实体
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-01 11:45
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name="T_INTERFACE_DEVICE")
@Api("接口驱动类信息")
public class InterfaceDevice extends BaseBean {

    @Column(name="DEVICE_NAME")
    @ApiParam("驱动名称")
    private String deviceName;

    @Column(name="DEVICE_CLASSNAME")
    @ApiParam("驱动类名称")
    private String deviceClassname;

    @Column(name="STATUS")
    @ApiParam("状态")
    private String status;

   }
